lint_branch:
  rules:
    - if: '$CI_COMMIT_BRANCH == "main"'
      when: never
    - if: '$CI_COMMIT_BRANCH == "test"'
      when: never
    - if: '$CI_COMMIT_BRANCH == "pre-prod"'
      when: never
    - if: '$CI_COMMIT_BRANCH == "production"'
      when: never
    - if: $CI_COMMIT_BRANCH            
  script:
  - env | sort